Jump to content

Recommended Posts

bonjour 

ma version est la 1.6.1.18 et je souhaite la mettre à jour car j'ai des soucis avec le back office 

je ne peux plus y accéder je retourne a chaque fois sur la page login ou sur une page blanche 

peux t on la mettre  jour avec Fillezila ? et si oui quelle est la procédure 

en vous remerciant 

Share this post


Link to post
Share on other sites
Il y a 2 heures, bertiauxmarc a dit :

peux t on la mettre  jour avec Fillezila ?

non

Share this post


Link to post
Share on other sites

C’est possible mais pas recommandé, si vous n’êtes pas expérimenté. Vous devriez vous faire aider par quelqu’un.

Si vous souhaitez tenter vous même, avant de faire quoi que ce soit, faites une sauvegarde du ftp et de la base de données afin de pouvoir revenir en arrière.

Avant de faire la mise à jour, mieux vaut corriger votre soucis ou alors ne pas faire de mise a jour mais une migration.

 

Share this post


Link to post
Share on other sites

voila le soucis que j'ai avec le site en changeant le fichier define.inc avec la valeur true voila la réponse sur l'erreur 

Warning à la ligne 551 du fichier /customers/1/2/0/xxxxxxxx;xx/httpd.www/classes/controller/AdminController.php
[2] count(): Parameter must be an array or an object that implements Countable

Warning à la ligne 3274 du fichier /customers/1/2/0/xxxxxxxx.xx/httpd.www/classes/controller/AdminController.php
[2] count(): Parameter must be an array or an object that implements Countable

que dois je faire ? 

merci pour votre aide 

Share this post


Link to post
Share on other sites

Vous êtes passé sur PHP 7 cette version est plus stricte que PHP 5.6. Votre version de Prestashop est trop ancienne pour fonctionner correctement sur cette version de PHP.

Il vous faut remettre PHP 5.6, si vous ne savez pas le faire prenez contact avec votre hébergeur.

Il n’y a pas que Prestashop à mettre à jour pour la compatibilité avec PHP 7, de nombreux modules doivent être mis à jour pour fonctionner avec cette version également.

Share this post


Link to post
Share on other sites

La preuve que si ;)

PHP 7 fonctionne bien avec Prestashop depuis la 1.6.1.20 de mémoire sur les 1.6

Share this post


Link to post
Share on other sites

Repassez à PHP 5.6, faites la mise à jour pour aller sur Prestashop 1.6.1.24 puis repassez sur PHP 7 (attention PHP 7.1 maximum sur 1.6)

Share this post


Link to post
Share on other sites

l'herbergeur ne veux pas repasser en PHP 5.6 ils disent que maintenant nous sommes en PHP 7.1 et que l'on ne sais pas retourner en 5.6 

 

Share this post


Link to post
Share on other sites

Bonjour,

si vous le souhaité envoyé moi un accès back office par message privés.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More